/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAgreement;

import java.util.Vector;
import RelMgmt.PartyRole.CommissionNetParticipant;

/** 
 * @author TogetherSoft
 * @stereotype thing
 * @alias NodeLinkedWithinACommissionNetwork
 */
public class NodeLinkedInCommissionNet {
    public Vector listAgreementNodesAndDistances() {
        return new Vector();
    }

    public Vector listSuperNodes() {
        return new Vector();
    }

    public Vector listSubNodes() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 0..*
     * @label commission network links
     * @clientRole upstream
     * @clientCardinality 0..*
     * @supplierRole downstream
     */
    private NodeLinkedInCommissionNet lnkUnnamed1;
    private String number;
    private String description;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private CommissionNetParticipant lnkUnnamed;
}


